### Method

# Gdk.Rectangle.intersect

#### Declaration [src]

    gboolean
    gdk_rectangle_intersect (
      const GdkRectangle* src1,
      const GdkRectangle* src2,
      GdkRectangle* dest
    )

#### Description [src]

Calculates the intersection of two rectangles.

It is allowed for `dest` to be the same as either `src1` or `src2`. If the rectangles do not intersect, `dest`’s width and height is set to 0 and its x and y values are undefined. If you are only interested in whether the rectangles intersect, but not in the intersecting area itself, pass `NULL` for `dest`.

#### Parameters

`src2` | `GdkRectangle`
| a `GdkRectangle`
| Ownership is not transferred to the callee
`dest` | `GdkRectangle`
| return location for the intersection of `src1` and `src2`, or `NULL`
| Direction: out
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the rectangles intersect.